/***************************************************************************
                          welcomedialog.h  -  description
                             -------------------
    begin                : Tue Jun 10 22:18:34 BST 2003
    copyright            : (C) 2004 by KSmoothDock team
    email                : dangvd@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 
#ifndef WELCOMEDIALOG_H
#define WELCOMEDIALOG_H

#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QLabel;
class QButtonGroup;
class QRadioButton;
class QCheckBox;
class QPushButton;
class QGroupBox;

class WelcomeDialog : public QDialog
{
    Q_OBJECT

public:
    WelcomeDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~WelcomeDialog();

    QGroupBox* groupBox1;
    QButtonGroup* buttonGroup2;
    QLabel* textLabel3;
    QLabel* textLabel4;
    QRadioButton* rbParabolicZoom;
    QRadioButton* rbNormalZoom;
    QLabel* textLabel1;
    QLabel* textLabel2;
    QPushButton* pushButton1;
    QGroupBox* groupBox2;
    QLabel* textLabel6;
    QLabel* textLabel7;
    QLabel* textLabel1_3;
    QLabel* textLabel9;
    QLabel* textLabel2_3;
    QCheckBox* cbPager;
    QCheckBox* cbTaskbar;
    QCheckBox* cbShowWinAllDesks;
    QCheckBox* cbClock;
    QCheckBox* cbQuickLaunch;

public:
  int getZoomMode();
  int getShowPager();
  int getShowTaskbar();
  int getShowClock();
	int getShowWinAllDesks();

public slots:
    virtual void pushButton1_clicked();

protected:

protected slots:
    virtual void languageChange();

};

#endif // WELCOMEDIALOG_H

